# DataExchange
TKVRML
Vrml

# Vrml_Sphere Class Reference

defines a Sphere node of VRML specifying geometry shapes.
This node represents a sphere.
By default , the sphere is centred at (0,0,0) and has a radius of 1.

`#include <Vrml_Sphere.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Sphere (const Standard_Real aRadius=1)
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Standard_Real | myRadius

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Sphere::Vrml_Sphere | ( | const Standard_Real | aRadius = `1` | ) |

## Member Function Documentation

void Vrml_Sphere::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Sphere::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Sphere::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Sphere::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT Standard_Real Vrml_Sphere::Radius | ( |  | ) | const

Standard_EXPORT void Vrml_Sphere::SetRadius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real Vrml_Sphere::myRadius `[private]`

The documentation for this class was generated from the following file:

- Vrml_Sphere.hxx